package com.bonus.material.upOrDown.tool.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.upOrDown.tool.entity.ToolEntity;

import java.util.List;

public interface UpOrDownToolService {
    List<ToolEntity> list(ToolEntity entity);

    List<ToolEntity> listByNumber(ToolEntity entity);

    AjaxResult upToolByNumber(ToolEntity entity);

    List<ToolEntity> listByCode(ToolEntity entity);

    AjaxResult upToolByCode(ToolEntity entity);

    /**
     * 批量修改工具上架及租赁价
     * @param entity
     * @return
     */
    AjaxResult upToolBatch(List<ToolEntity> entity);

    void downToolBatch(List<Long> ids);

    void downToolById(Long toolId);
}
